import { validateVersion as itemValidateVersion, supportedVersions as itemSupportedVersions, supportedVersionsTypeMapping as itemSupportedVersionsTypeMapping } from '@motif-foundation/item-metadata/dist/src';
import * as ItemMetadataTypes from '@motif-foundation/item-metadata/dist/types/types';
import { validateVersion as spaceValidateVersion, supportedVersions as spaceSupportedVersions, supportedVersionsTypeMapping as spaceSupportedVersionsTypeMapping } from '@motif-foundation/space-metadata/dist/src';
import * as SpaceMetadataTypes from '@motif-foundation/space-metadata/dist/types/types';
import { validateVersion as avatarValidateVersion, supportedVersions as avatarSupportedVersions, supportedVersionsTypeMapping as avatarSupportedVersionsTypeMapping } from '@motif-foundation/avatar-metadata/dist/src';
import * as AvatarMetadataTypes from '@motif-foundation/avatar-metadata/dist/types/types';
import { validateVersion as landValidateVersion, supportedVersions as landSupportedVersions, supportedVersionsTypeMapping as landSupportedVersionsTypeMapping } from '@motif-foundation/land-metadata/dist/src';
import * as LandMetadataTypes from '@motif-foundation/land-metadata/dist/types/types';
export { ItemMetadataTypes };
export { itemValidateVersion, itemSupportedVersions, itemSupportedVersionsTypeMapping };
export declare type JSONLike = {
    [key: string]: any;
};
export declare function generateItemMetadata(version: string, data: JSONLike): string;
export declare function parseItemMetadata(version: string, json: string): ItemMetadataTypes.MotifItem20210905;
export declare function validateItemMetadata(version: string, data: JSONLike): boolean;
export { SpaceMetadataTypes };
export { spaceValidateVersion, spaceSupportedVersions, spaceSupportedVersionsTypeMapping };
export declare function generateSpaceMetadata(version: string, data: JSONLike): string;
export declare function parseSpaceMetadata(version: string, json: string): SpaceMetadataTypes.MotifSpace20210905;
export declare function validateSpaceMetadata(version: string, data: JSONLike): boolean;
export { AvatarMetadataTypes };
export { avatarValidateVersion, avatarSupportedVersions, avatarSupportedVersionsTypeMapping, };
export declare function generateAvatarMetadata(version: string, data: JSONLike): string;
export declare function parseAvatarMetadata(version: string, json: string): AvatarMetadataTypes.MotifAvatar20210905;
export declare function validateAvatarMetadata(version: string, data: JSONLike): boolean;
export { LandMetadataTypes };
export { landValidateVersion, landSupportedVersions, landSupportedVersionsTypeMapping };
export declare function generateLandMetadata(version: string, data: JSONLike): string;
export declare function parseLandMetadata(version: string, json: string): LandMetadataTypes.MotifLand20210905;
export declare function validateLandMetadata(version: string, data: JSONLike): boolean;
