"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateLandMetadata = exports.parseLandMetadata = exports.generateLandMetadata = exports.landSupportedVersionsTypeMapping = exports.landSupportedVersions = exports.landValidateVersion = exports.LandMetadataTypes = exports.validateAvatarMetadata = exports.parseAvatarMetadata = exports.generateAvatarMetadata = exports.avatarSupportedVersionsTypeMapping = exports.avatarSupportedVersions = exports.avatarValidateVersion = exports.AvatarMetadataTypes = exports.validateSpaceMetadata = exports.parseSpaceMetadata = exports.generateSpaceMetadata = exports.spaceSupportedVersionsTypeMapping = exports.spaceSupportedVersions = exports.spaceValidateVersion = exports.SpaceMetadataTypes = exports.validateItemMetadata = exports.parseItemMetadata = exports.generateItemMetadata = exports.itemSupportedVersionsTypeMapping = exports.itemSupportedVersions = exports.itemValidateVersion = exports.ItemMetadataTypes = void 0;
const tslib_1 = require("tslib");
const src_1 = require("@motif-foundation/item-metadata/dist/src");
Object.defineProperty(exports, "itemValidateVersion", { enumerable: true, get: function () { return src_1.validateVersion; } });
Object.defineProperty(exports, "itemSupportedVersions", { enumerable: true, get: function () { return src_1.supportedVersions; } });
Object.defineProperty(exports, "itemSupportedVersionsTypeMapping", { enumerable: true, get: function () { return src_1.supportedVersionsTypeMapping; } });
const ItemMetadataTypes = (0, tslib_1.__importStar)(require("@motif-foundation/item-metadata/dist/types/types"));
exports.ItemMetadataTypes = ItemMetadataTypes;
const src_2 = require("@motif-foundation/space-metadata/dist/src");
Object.defineProperty(exports, "spaceValidateVersion", { enumerable: true, get: function () { return src_2.validateVersion; } });
Object.defineProperty(exports, "spaceSupportedVersions", { enumerable: true, get: function () { return src_2.supportedVersions; } });
Object.defineProperty(exports, "spaceSupportedVersionsTypeMapping", { enumerable: true, get: function () { return src_2.supportedVersionsTypeMapping; } });
const SpaceMetadataTypes = (0, tslib_1.__importStar)(require("@motif-foundation/space-metadata/dist/types/types"));
exports.SpaceMetadataTypes = SpaceMetadataTypes;
const src_3 = require("@motif-foundation/avatar-metadata/dist/src");
Object.defineProperty(exports, "avatarValidateVersion", { enumerable: true, get: function () { return src_3.validateVersion; } });
Object.defineProperty(exports, "avatarSupportedVersions", { enumerable: true, get: function () { return src_3.supportedVersions; } });
Object.defineProperty(exports, "avatarSupportedVersionsTypeMapping", { enumerable: true, get: function () { return src_3.supportedVersionsTypeMapping; } });
const AvatarMetadataTypes = (0, tslib_1.__importStar)(require("@motif-foundation/avatar-metadata/dist/types/types"));
exports.AvatarMetadataTypes = AvatarMetadataTypes;
const src_4 = require("@motif-foundation/land-metadata/dist/src");
Object.defineProperty(exports, "landValidateVersion", { enumerable: true, get: function () { return src_4.validateVersion; } });
Object.defineProperty(exports, "landSupportedVersions", { enumerable: true, get: function () { return src_4.supportedVersions; } });
Object.defineProperty(exports, "landSupportedVersionsTypeMapping", { enumerable: true, get: function () { return src_4.supportedVersionsTypeMapping; } });
const LandMetadataTypes = (0, tslib_1.__importStar)(require("@motif-foundation/land-metadata/dist/types/types"));
exports.LandMetadataTypes = LandMetadataTypes;
function generateItemMetadata(version, data) {
    const generator = new src_1.Generator(version);
    return generator.generateJSON(data);
}
exports.generateItemMetadata = generateItemMetadata;
function parseItemMetadata(version, json) {
    const parser = new src_1.Parser(version);
    return parser.parse(json);
}
exports.parseItemMetadata = parseItemMetadata;
function validateItemMetadata(version, data) {
    const validator = new src_1.Validator(version);
    return validator.validate(data);
}
exports.validateItemMetadata = validateItemMetadata;
function generateSpaceMetadata(version, data) {
    const generator = new src_2.Generator(version);
    return generator.generateJSON(data);
}
exports.generateSpaceMetadata = generateSpaceMetadata;
function parseSpaceMetadata(version, json) {
    const parser = new src_2.Parser(version);
    return parser.parse(json);
}
exports.parseSpaceMetadata = parseSpaceMetadata;
function validateSpaceMetadata(version, data) {
    const validator = new src_2.Validator(version);
    return validator.validate(data);
}
exports.validateSpaceMetadata = validateSpaceMetadata;
function generateAvatarMetadata(version, data) {
    const generator = new src_3.Generator(version);
    return generator.generateJSON(data);
}
exports.generateAvatarMetadata = generateAvatarMetadata;
function parseAvatarMetadata(version, json) {
    const parser = new src_3.Parser(version);
    return parser.parse(json);
}
exports.parseAvatarMetadata = parseAvatarMetadata;
function validateAvatarMetadata(version, data) {
    const validator = new src_3.Validator(version);
    return validator.validate(data);
}
exports.validateAvatarMetadata = validateAvatarMetadata;
function generateLandMetadata(version, data) {
    const generator = new src_4.Generator(version);
    return generator.generateJSON(data);
}
exports.generateLandMetadata = generateLandMetadata;
function parseLandMetadata(version, json) {
    const parser = new src_4.Parser(version);
    return parser.parse(json);
}
exports.parseLandMetadata = parseLandMetadata;
function validateLandMetadata(version, data) {
    const validator = new src_4.Validator(version);
    return validator.validate(data);
}
exports.validateLandMetadata = validateLandMetadata;
//# sourceMappingURL=metadata.js.map